org.codehaus.plexus.compiler

## Class CompilerConfiguration

- java.lang.Object
- - org.codehaus.plexus.compiler.CompilerConfiguration

-     public class CompilerConfiguration
      extends Object

  Author:
    jdcasey

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CompilerConfiguration.CompilerReuseStrategy` Re-use strategy of the compiler (implement for java only).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilerConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClasspathEntry(String classpathEntry)`
    `void` | `addCompilerCustomArgument(String customArgument, String value)`
    `void` | `addExclude(String exclude)`
    `void` | `addInclude(String include)`
    `void` | `addSourceLocation(String sourceLocation)`
    `String[]` | `getAnnotationProcessors()`
    `File` | `getBuildDirectory()`
    `List<String>` | `getClasspathEntries()`
    `CompilerConfiguration.CompilerReuseStrategy` | `getCompilerReuseStrategy()`
    `String` | `getCompilerVersion()`
    `LinkedHashMap<String,String>` | `getCustomCompilerArguments()` Deprecated. will be removed in 2.X use #getCustomCompilerArgumentsAsMap
    `Map<String,String>` | `getCustomCompilerArgumentsAsMap()`
    `String` | `getDebugLevel()`
    `Set<String>` | `getExcludes()`
    `String` | `getExecutable()`
    `File` | `getGeneratedSourcesDirectory()`
    `Set<String>` | `getIncludes()`
    `String` | `getMaxmem()`
    `String` | `getMeminitial()`
    `String` | `getOutputFileName()`
    `String` | `getOutputLocation()`
    `String` | `getProc()`
    `String` | `getSourceEncoding()`
    `Set<File>` | `getSourceFiles()`
    `List<String>` | `getSourceLocations()`
    `String` | `getSourceVersion()`
    `String` | `getTargetVersion()`
    `File` | `getWorkingDirectory()`
    `boolean` | `isDebug()`
    `boolean` | `isForceJavacCompilerUse()`
    `boolean` | `isFork()`
    `boolean` | `isOptimize()`
    `boolean` | `isShowDeprecation()`
    `boolean` | `isShowWarnings()`
    `boolean` | `isVerbose()`
    `void` | `setAnnotationProcessors(String[] annotationProcessors)`
    `void` | `setBuildDirectory(File buildDirectory)`
    `void` | `setClasspathEntries(List<String> classpathEntries)`
    `void` | `setCompilerReuseStrategy(CompilerConfiguration.CompilerReuseStrategy compilerReuseStrategy)`
    `void` | `setCompilerVersion(String compilerVersion)`
    `void` | `setCustomCompilerArguments(LinkedHashMap<String,String> customCompilerArguments)` Deprecated. will be removed in 2.X use #setCustomCompilerArgumentsAsMap
    `void` | `setCustomCompilerArgumentsAsMap(Map<String,String> customCompilerArguments)`
    `void` | `setDebug(boolean debug)`
    `void` | `setDebugLevel(String debugLevel)`
    `void` | `setExcludes(Set<String> excludes)`
    `void` | `setExecutable(String executable)`
    `void` | `setForceJavacCompilerUse(boolean forceJavacCompilerUse)`
    `void` | `setFork(boolean fork)`
    `void` | `setGeneratedSourcesDirectory(File generatedSourcesDirectory)`
    `void` | `setIncludes(Set<String> includes)`
    `void` | `setMaxmem(String maxmem)`
    `void` | `setMeminitial(String meminitial)`
    `void` | `setOptimize(boolean optimize)`
    `void` | `setOutputFileName(String outputFileName)`
    `void` | `setOutputLocation(String outputLocation)`
    `void` | `setProc(String proc)`
    `void` | `setShowDeprecation(boolean showDeprecation)`
    `void` | `setShowWarnings(boolean showWarnings)`
    `void` | `setSourceEncoding(String sourceEncoding)`
    `void` | `setSourceFiles(Set<File> sourceFiles)`
    `void` | `setSourceLocations(List<String> sourceLocations)`
    `void` | `setSourceVersion(String sourceVersion)`
    `void` | `setTargetVersion(String targetVersion)`
    `void` | `setVerbose(boolean verbose)`
    `void` | `setWorkingDirectory(File workingDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilerConfiguration

          public CompilerConfiguration()

  - ### Method Detail

    - #### setOutputLocation

          public void setOutputLocation(String outputLocation)

    - #### getOutputLocation

          public String getOutputLocation()

    - #### addClasspathEntry

          public void addClasspathEntry(String classpathEntry)

    - #### setClasspathEntries

          public void setClasspathEntries(List<String> classpathEntries)

    - #### getClasspathEntries

          public List<String> getClasspathEntries()

    - #### setSourceFiles

          public void setSourceFiles(Set<File> sourceFiles)

    - #### getSourceFiles

          public Set<File> getSourceFiles()

    - #### addSourceLocation

          public void addSourceLocation(String sourceLocation)

    - #### setSourceLocations

          public void setSourceLocations(List<String> sourceLocations)

    - #### getSourceLocations

          public List<String> getSourceLocations()

    - #### addInclude

          public void addInclude(String include)

    - #### setIncludes

          public void setIncludes(Set<String> includes)

    - #### getIncludes

          public Set<String> getIncludes()

    - #### addExclude

          public void addExclude(String exclude)

    - #### setExcludes

          public void setExcludes(Set<String> excludes)

    - #### getExcludes

          public Set<String> getExcludes()

    - #### setDebug

          public void setDebug(boolean debug)

    - #### isDebug

          public boolean isDebug()

    - #### setDebugLevel

          public void setDebugLevel(String debugLevel)

    - #### getDebugLevel

          public String getDebugLevel()

    - #### setShowWarnings

          public void setShowWarnings(boolean showWarnings)

    - #### isShowWarnings

          public boolean isShowWarnings()

    - #### isShowDeprecation

          public boolean isShowDeprecation()

    - #### setShowDeprecation

          public void setShowDeprecation(boolean showDeprecation)

    - #### getSourceVersion

          public String getSourceVersion()

    - #### setSourceVersion

          public void setSourceVersion(String sourceVersion)

    - #### getTargetVersion

          public String getTargetVersion()

    - #### setTargetVersion

          public void setTargetVersion(String targetVersion)

    - #### getSourceEncoding

          public String getSourceEncoding()

    - #### setSourceEncoding

          public void setSourceEncoding(String sourceEncoding)

    - #### addCompilerCustomArgument

          public void addCompilerCustomArgument(String customArgument,
                                       String value)

    - #### getCustomCompilerArguments

          public LinkedHashMap<String,String> getCustomCompilerArguments()

      Deprecated. will be removed in 2.X use #getCustomCompilerArgumentsAsMap
      Returns:

    - #### setCustomCompilerArguments

          public void setCustomCompilerArguments(LinkedHashMap<String,String> customCompilerArguments)

      Deprecated. will be removed in 2.X use #setCustomCompilerArgumentsAsMap
      Parameters:
        `customCompilerArguments` -

    - #### getCustomCompilerArgumentsAsMap

          public Map<String,String> getCustomCompilerArgumentsAsMap()

    - #### setCustomCompilerArgumentsAsMap

          public void setCustomCompilerArgumentsAsMap(Map<String,String> customCompilerArguments)

    - #### isFork

          public boolean isFork()

    - #### setFork

          public void setFork(boolean fork)

    - #### getMeminitial

          public String getMeminitial()

    - #### setMeminitial

          public void setMeminitial(String meminitial)

    - #### getMaxmem

          public String getMaxmem()

    - #### setMaxmem

          public void setMaxmem(String maxmem)

    - #### getExecutable

          public String getExecutable()

    - #### setExecutable

          public void setExecutable(String executable)

    - #### getWorkingDirectory

          public File getWorkingDirectory()

    - #### setWorkingDirectory

          public void setWorkingDirectory(File workingDirectory)

    - #### getBuildDirectory

          public File getBuildDirectory()

    - #### setBuildDirectory

          public void setBuildDirectory(File buildDirectory)

    - #### getOutputFileName

          public String getOutputFileName()

    - #### setOutputFileName

          public void setOutputFileName(String outputFileName)

    - #### isOptimize

          public boolean isOptimize()

    - #### setOptimize

          public void setOptimize(boolean optimize)

    - #### getCompilerVersion

          public String getCompilerVersion()

    - #### setCompilerVersion

          public void setCompilerVersion(String compilerVersion)

    - #### isVerbose

          public boolean isVerbose()

    - #### setVerbose

          public void setVerbose(boolean verbose)

    - #### setProc

          public void setProc(String proc)

    - #### setGeneratedSourcesDirectory

          public void setGeneratedSourcesDirectory(File generatedSourcesDirectory)

    - #### getGeneratedSourcesDirectory

          public File getGeneratedSourcesDirectory()

    - #### getProc

          public String getProc()

    - #### setAnnotationProcessors

          public void setAnnotationProcessors(String[] annotationProcessors)

    - #### getAnnotationProcessors

          public String[] getAnnotationProcessors()

    - #### getCompilerReuseStrategy

          public CompilerConfiguration.CompilerReuseStrategy getCompilerReuseStrategy()

    - #### setCompilerReuseStrategy

          public void setCompilerReuseStrategy(CompilerConfiguration.CompilerReuseStrategy compilerReuseStrategy)

    - #### isForceJavacCompilerUse

          public boolean isForceJavacCompilerUse()

    - #### setForceJavacCompilerUse

          public void setForceJavacCompilerUse(boolean forceJavacCompilerUse)

Copyright © 2015. All rights reserved.